var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var update_basic_exports = {};
__export(update_basic_exports, {
  default: () => UpdateBasicAuthMigration
});
module.exports = __toCommonJS(update_basic_exports);
var import_server = require("@nocobase/server");
var import_preset = require("../../preset");
class UpdateBasicAuthMigration extends import_server.Migration {
  appVersion = "<0.14.0-alpha.1";
  async up() {
    const SystemSetting = this.context.db.getRepository("systemSettings");
    const setting = await SystemSetting.findOne();
    const allowSignUp = setting.get("allowSignUp") ? true : false;
    const repo = this.context.db.getRepository("authenticators");
    await repo.update({
      values: {
        options: {
          public: {
            allowSignUp
          }
        }
      },
      filter: {
        name: import_preset.presetAuthenticator
      }
    });
  }
  async down() {
  }
}
